Package org.bukkit.inventory

# Interface Recipe

All Known Subinterfaces:
  `ComplexRecipe`

All Known Implementing Classes:
  `BlastingRecipe`, `CampfireRecipe`, `CookingRecipe`, `FurnaceRecipe`, `MerchantRecipe`, `ShapedRecipe`, `ShapelessRecipe`, `SmithingRecipe`, `SmokingRecipe`, `StonecuttingRecipe`

public interface Recipe
Represents some type of crafting recipe.

## Method Summary

Modifier and Type
Method
Description
`@NotNull ItemStack`
`getResult()`
Get the result of this recipe.

## Method Details

### getResult

@NotNull @NotNull ItemStack getResult()
Get the result of this recipe.

Returns:
  The result stack